The viewer interface can be localized by loading a Stimulsoft language XML file before it renders.

In Angular.
import { Component } from "@angular/core";
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-angular/viewer";

@Component({
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="options"></sti-viewer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    options: Stimulsoft.Viewer.StiViewerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Dashboard.mrt");

        Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile("Localizations/pt.xml");

        this.options = new Stimulsoft.Viewer.StiViewerOptions();
        this.options.appearance.fullScreenMode = true;
    }
}

How it works. The viewer reads its captions from the loaded file, so switching language is a single call.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.

The viewer interface can be localized by loading a Stimulsoft language XML file before it renders.

In Vue.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/viewer'

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");

Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile("Localizations/pt.xml");

var options = new Stimulsoft.Viewer.StiViewerOptions();
options.appearance.fullScreenMode = true;
</script>

<template>
    <Viewer :report="report" :options="options" />
</template>

How it works. The viewer reads its captions from the loaded file, so switching language is a single call.

By using this website, you agree to the use of cookies for analytics and personalized content. Cookies store useful information on your computer to help us improve efficiency and usability. For more information, please read the privacy policy and cookie policy.